﻿body {
/*    background-color: var(--CNCNNT-A2);
    color: var(--CNCNNT-A3);
*/}
p {

}
/*--------------------------------------------------------------------click circle button*/
.CNCNNT-btn-circle {
    padding: 0; /* Remove default padding */
    border-radius: 50%; /* Make it round */
    display: flex; /* Flexbox for perfect centering */
    align-items: center; /* Center vertically */
    justify-content: center; /* Center horizontally */
    text-align: center; /* Center text horizontally */
    display: inline-flex;
    overflow: hidden; /*conteudo só dentro do circle*/
    text-decoration: none;
}
.CNCNNT-btn-circle img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain; /* mantém proporção */
}
.CNCNNT-BN2 {
    background-color: var(--CNCNNT-Abc);
    color: var(--CNCNNT-Ac);
    border: thin solid var(--CNCNNT-Ab);
    transition: transform 0.3s ease; /* animação suave */
}
    .CNCNNT-BN2:hover {
        background-color: var(--CNCNNT-AbcH);
        color: var(--CNCNNT-AcH);
        border: thin solid var(--CNCNNT-AbH);
        transform: scale(1.2); /* aumenta 20% */
    }
.CNCNNT-BN2in {
    width: 80%; /*80% da largura do div pai*/
    aspect-ratio: 1/1;
    margin: 2px;
}
.CNCNNT-BN2in2 {
    width: 70%; /*95% da largura do div pai*/
    aspect-ratio: 1/1;
    margin: 2px;
}
.CNCNNT-BN2nrm {
    font-size: 100px;
    height: 120px;
    width: 120px;
}
.CNCNNT-BN2verylittle {
    height: 25px;
    width: 25px;
    aspect-ratio: 1/1;
    font-size: 20px;
}
.CNCNNT-BN2little {
    height: 40px;
    width: 40px;
    aspect-ratio: 1/1;
}
.CNCNNT-BN2middle {
    height: 70px;
    width: 70px;
    aspect-ratio: 1/1;
    font-size: 50px;
}
.CNCNNT-MENSAGEM {
    border: solid 1px;
    display: block;
    box-sizing: border-box;
    width: 80%-50px;
    margin-left: 50px !important;
    margin-top: 2px; /*aqui há um ERRO*/
    border-radius: 8px;
    padding-left: 10px;
    padding-right: 10px;
    background-color: #333333;
}
.CNCNNT-ERRO {
    border-color: var(--CNCNNT-B11);
    color: var(--CNCNNT-B11);
    border: solid 2px red;
}
.CNCNNT-AVISO {
    border-color: var(--CNCNNT-B5);
    color: var(--CNCNNT-B5);
}
.CNCNNT-BEM {
    border-color: var(--CNCNNT-B10);
    color: var(--CNCNNT-B10);
}
.CNCNNT-Input1 {
    max-width: 100% !important;
    width: 100% !important;
    outline: none !important;
    border: solid 1px!important;
    border-color: var(--CNCNNT-BASE1) !important;
}
    .CNCNNT-Input1:focus {
        outline: none !important;
        border: solid 3px!important;
        border-color: var(--CNCNNT-Ib) !important;
    }
.CNCNNT-GridView {
    width:100%;
}
    .CNCNNT-GridView td {
        Padding: 5px;
        vertical-align: top;
    }
.CNCNNT-GridView th {
    Padding: 5px;
    background-color: var(--CNCNNT-G10);
}
    .CNCNNT-GridView tr:nth-child(even) {
        background-color: var(--CNCNNT-G11);
    }
    .CNCNNT-GridView tr:nth-child(odd) {
        background-color: var(--CNCNNT-G12);
    }
    textbox{
        background-color:#cceeff !important;
    }
.caixa-fixa {
    position: fixed; 
    top: 20px; 
    left: 20px; 
    width: 150px;
    height: 150px;
    background: red;
    color: white;
    padding: 10px;
    border-radius: 8px;
}
.gvSelectedRow {
    background-color: var(--CNCNNT-G20) !important;
}
.CNCNNT-image {
    border: thin solid var(--CNCNNT-Ab);
    width: 100%;
}
/**//*.caixa-fixa {
    position: fixed;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
}
*//**/